Subject: bug#12159: 24.1.50; vc-dir: Need a way to hide unregistered files

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Aug 2012 22:20:29 +0300

> From: Jambunathan K <[email-masked]>
> Date: Mon, 13 Aug 2012 00:41:00 +0530
> Cc: [email-masked]
> 
> I wish reviewers provide feedback which is comprehensive right from the
> word go.  Let me explain ...
> 
> When I submitted my patch it was complete i.e., I did not present it
> hunk-by-hunk.  I re-worked the patch based on feedback and I have
> demonstrated some seriousness in making the patch acceptable.
> 
> Unfortunately, the review process here seems to have gone by "hunk by
> hunk" mode.  A small note here, a small note there.  For something as
> simple as this patch, why should we have 100 exchanges?
> 
> I can't care less if you call my patch a crap or hold an opinion that I
> should never enter a programmer's territory.  It is not what I am
> talking about.
> 
> Reviewers have infinite time to review the patch.  Let them collect
> their notes and give a comprehensive list of what they think is
> acceptable to them.
> 
> I hope I am not placing an un-reasonable demand.  
> 
> We are talking of an implicit social contract that reviewers and patch
> submitters should adhere to.  Unfortunately, it is only the patch
> submitters end of the contract that gets much emphasis.

I'm sorry you feel this way.  However, after reading the entire
discussion, I see nothing but a reasonable process.  Let me explain.

Your original submission first got a general comment from Stefan
suggesting a different approach.  When you reworked the patch
according to Stefan's suggestions, you got one comment from Andreas
(with whom you exchanged a couple of messages regarding his comment),
and several specific comments from Stefan.  It is entirely reasonable
that two different people comment on different portions of the patch.
Sorry, but I see no "hunk by hunk" here.